Vla-get-numberofcontrolpoints

提供: GizmoLabs
移動先: 案内検索
構文
(vla-get-numberofcontrolpoints vla-object)


機能
スプラインの制御点の数を取得する。


引数
  • vla-object … Spline の VLAオブジェクト


戻り値
スプラインの制御点の数。


  • 注意 : 制御点は、スプライン曲線の一部に重みを加えることで、スプラインの定義を微調整する。制御点の現在の位置を取得するには、GetControlPoint メソッドを使用する。制御点に新しい座標位置を設定するには、SetControlPoint メソッドを使用する。制御点に新しい重みを設定するには、SetWeight メソッドを使用する。


サンプル
(vl-load-com)
(defun c:Example_NumberOfControlPoints()
    ;; スプラインを作成して制御点数を表示するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
  
    ;; スプライン作成
    (setq startTan (vlax-3d-point 0.5 0.5 0)
          endTan (vlax-3d-point 0.5 0.5 0)
          fitPoints (vlax-make-safearray vlax-vbDouble '(0 . 8)))
    (vlax-safearray-fill fitPoints '(1 1 0
				     5 5 0
				     10 0 0
				    )
    )

    (setq modelSpace (vla-get-ModelSpace doc))
    (setq splineObj (vla-AddSpline modelSpace fitPoints startTan endTan))
    (vla-ZoomAll acadObj)
    
    (alert (strcat "このスプラインは " (itoa (vla-get-NumberOfControlPoints splineObj)) " 個の制御点があります。"))
)


関連事項